package com.ejie.ab63.model;

import org.apache.xmlbeans.StringEnumAbstractBase;

public class EnumAlojamientoSubTipoRecurso extends StringEnumAbstractBase {
	static final int INT_H = 1;
	static final int INT_K = 2;
	static final int INT_T = 3;
	static final int INT_P = 4;
	static final int INT_X_6 = 5;
	static final int INT_X_7 = 6;
	static final int INT_B = 7;
	static final int INT_X = 8;
	public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(
			new EnumAlojamientoSubTipoRecurso[] { new EnumAlojamientoSubTipoRecurso("H", 1),
					new EnumAlojamientoSubTipoRecurso("K", 2), new EnumAlojamientoSubTipoRecurso("T", 3),
					new EnumAlojamientoSubTipoRecurso("P", 4), new EnumAlojamientoSubTipoRecurso("6", 5),
					new EnumAlojamientoSubTipoRecurso("7", 6), new EnumAlojamientoSubTipoRecurso("B", 7),
					new EnumAlojamientoSubTipoRecurso("X", 8) });
	private static final long serialVersionUID = 1L;

	public static EnumAlojamientoSubTipoRecurso forString(String paramString) {
		return (EnumAlojamientoSubTipoRecurso) table.forString(paramString);
	}

	public static EnumAlojamientoSubTipoRecurso forInt(int paramInt) {
		return (EnumAlojamientoSubTipoRecurso) table.forInt(paramInt);
	}

	private EnumAlojamientoSubTipoRecurso(String paramString, int paramInt) {
		super(paramString, paramInt);
	}

	private Object readResolve() {
		return forInt(intValue());
	}
}